{
	"easycom": {
		"^u-(.*)": "uview-ui/components/u-$1/u-$1.vue"
	},
	"pages": [ //pages数组中第一项表示应用启动页，参考：https://uniapp.dcloud.io/collocation/pages
		{
			"path": "pages/index/index",
			"style": {
				"navigationBarTitleText": "首页",
				"navigationStyle":"custom",
				"enablePullDownRefresh": true
			}
		},
		{
			"path": "pages/login/login",
			"style": {
				"navigationBarTitleText": "登录"
			}
		}, {
			"path": "pages/login/phoneLogin",
			"style": {
				"navigationBarTitleText": "手机号登录"
			}
		},
		{
			"path": "pages/personData/personData",
			"style": {
				"navigationBarTitleText": "个人信息"
			}
		},
		{
			"path": "pages/scan-frame/scan-frame",
			"style": {
				"navigationBarTitleText": "扫描VIN"
			}
		}
        ,{
            "path" : "pages/vinInput/confirmVin",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "确认VIN",
                "enablePullDownRefresh": false
            }
            
        }
        ,{
            "path" : "pages/vinInput/share",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "分享VIN",
                "navigationStyle":"custom"
            }
            
        }
        ,{
            "path" : "pages/morePage/morePage",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "",
                "navigationStyle":"custom"
            }
            
        },
		{
		    "path" : "pages/videos/index",
		    "style" :                                                                                    
			{
				"navigationBarTitleText": "视频讲解",
				"enablePullDownRefresh": false
			}
		},{
            "path" : "pages/storeManage/personnel",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "员工管理",
                "enablePullDownRefresh": false
            }
            
        },{
            "path" : "pages/storeManage/roleSetting/roleSetting",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "岗位权限",
                "enablePullDownRefresh": false
            }
            
        },{
            "path" : "pages/storeManage/roleSetting/addRole",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "新增岗位",
                "enablePullDownRefresh": false
            }
            
        },
        {
            "path" : "pages/storeManage/addPerson",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "新增员工",
                "enablePullDownRefresh": false
            }
            
        }
        ,{
            "path" : "pages/storeManage/storeAuth",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "认证成为门店",
                "enablePullDownRefresh": false
            }
            
        }
        ,{
            "path" : "pages/storeManage/priceSetting/priceSetting",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "价格显示设置",
                "enablePullDownRefresh": false
            }
            
        }
        ,{
            "path" : "pages/storeManage/editIsManage",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "选择新负责人",
                "enablePullDownRefresh": false
            }
            
        }
        ,{
            "path" : "pages/storeManage/editAdminAuth",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "设置岗位",
                "enablePullDownRefresh": false
            }
        },
        {
        	"path" : "pages/promo/index",
        	"style" : 
        	{
        		"navigationBarTitleText" : "促销活动"
        	}
        }
    ],
	"subPackages":[
		{
		"root": "pagesA",
		"pages":[
			{
				"path": "about",
				"style": {
					"navigationBarTitleText": "关于我们"
				}
			},
			{
				"path": "xieyi/index",
				"style": {
					"navigationBarTitleText": "用户协议和隐私政策"
				}
			},
			{
				"path": "h5Page/index",
				"style": {
					"navigationBarTitleText": "页面"
				}
			},
			{
			    "path" : "vinRecord/vinRecord",
			    "style" :                                                                                    
			    {
			        "navigationBarTitleText": "VIN查询记录",
			        "enablePullDownRefresh": false
			    }
			},
			{
			    "path" : "digitalShelf/choosePart",
			    "style" :                                                                                    
			    {
			        "navigationBarTitleText": "选择配件",
			        "enablePullDownRefresh": false,
					"navigationStyle": "custom",
					"disableScroll": true,
					"app-plus":{
						"bounce":"none"
					},
					"renderer":"skyline",
					"componentFramework": "glass-easel"
			    }
			}
			,{
			    "path" : "digitalShelf/orderList",
			    "style" :                                                                                    
			    {
			        "navigationBarTitleText": "货架订单",
			        "enablePullDownRefresh": false
			    }
			}
			,{
			    "path" : "digitalShelf/orderDetail",
			    "style" :                                                                                    
			    {
			        "navigationBarTitleText": "订单详情",
			        "enablePullDownRefresh": false
			    }
			    
			}
			,{
			    "path" : "digitalShelf/choosePartResult",
			    "style" :                                                                                    
			    {
			        "navigationBarTitleText": "",
					"enablePullDownRefresh": false
			    }
			    
			}
			,{
			    "path" : "digitalShelf/stockPut",
			    "style" :                                                                                    
			    {
			        "navigationBarTitleText": "补货记录",
			        "enablePullDownRefresh": false
			    }
			    
			}
			,{
			    "path" : "digitalShelf/stockPutDetail",
			    "style" :                                                                                    
			    {
			        "navigationBarTitleText": "补货单详情",
			        "enablePullDownRefresh": false
			    }
			    
			}
			,{
			    "path" : "digitalShelf/settlementManage/settlementManage",
			    "style" :                                                                                    
			    {
			        "navigationBarTitleText": "付款结算",
			        "enablePullDownRefresh": false
			    }
			    
			}
			,{
			    "path" : "digitalShelf/settlementManage/settlementSxDetail",
			    "style" :                                                                                    
			    {
			        "navigationBarTitleText": "已用额度详情",
			        "enablePullDownRefresh": false
			    }
			    
			}
			,{
			    "path" : "digitalShelf/settlementManage/settlementAyDetail",
			    "style" :                                                                                    
			    {
			        "navigationBarTitleText": "待结算详情",
			        "enablePullDownRefresh": false
			    }
			    
			}
			,{
			    "path" : "digitalShelf/settlementRecord/settlementRecord",
			    "style" :                                                                                    
			    {
			        "navigationBarTitleText": "结算记录",
			        "enablePullDownRefresh": false,
					"titleView":false,
					// 将回弹属性关掉
					"bounce":"none"
			    }
			    
			}
			,{
			    "path" : "digitalShelf/settlementRecord/settlementDetail",
			    "style" :                                                                                    
			    {
			        "navigationBarTitleText": "结算详情",
			        "enablePullDownRefresh": false
			    }
			    
			}
			,{
			    "path" : "digitalShelf/settlementRecord/orderPartDetail",
			    "style" :                                                                                    
			    {
			        "navigationBarTitleText": "订单详情",
			        "enablePullDownRefresh": false
			    }
			    
			}
			,{
			    "path" : "digitalShelf/scanBarcode/scanBarcode",
			    "style" :                                                                                    
			    {
			        "navigationBarTitleText": "扫码拿货",
			        "enablePullDownRefresh": false
			    }
			    
			}
			,{
			    "path" : "digitalShelf/tempOrderList/tempOrderList",
			    "style" :                                                                                    
			    {
			        "navigationBarTitleText": "急送订单",
			        "enablePullDownRefresh": false
			    }
			    
			}
			,{
			    "path" : "digitalShelf/tempOrderList/orderDetail",
			    "style" :                                                                                    
			    {
			        "navigationBarTitleText": "急送订单详情",
			        "enablePullDownRefresh": false
			    }
			    
			},
			{
			    "path" : "queryByCode/queryByCode",
			    "style" :                                                                                    
			    {
			        "navigationBarTitleText": "按产品编码查询",
			        "enablePullDownRefresh": false,
					"navigationStyle": "custom",
					"disableScroll": true,
					"app-plus":{
						"bounce":"none"
					},
					"renderer":"skyline",
					"componentFramework": "glass-easel"
			    }
			    
			}
			,{
			    "path" : "queryByCode/confirmQh",
			    "style" :                                                                                    
			    {
			        "navigationBarTitleText": "确认拿货",
			        "enablePullDownRefresh": false
			    }
			    
			}
            ,{
                "path" : "activeDetail/index",
                "style" :                                                                                    
                {
                    "navigationBarTitleText": "活动内容",
                    "enablePullDownRefresh": false
                }
            },
			{
				"path" : "qualityPolicy/creatOrder",
				"style" : 
				{
					"navigationBarTitleText" : "创建质保单",
					"enablePullDownRefresh" : false,
					"navigationStyle":"custom"
				}
			},
			{
				"path" : "qualityPolicy/searchOrder",
				"style" : 
				{
					"navigationBarTitleText" : "质保单查询",
					"enablePullDownRefresh" : false
				}
			},
			{
				"path" : "qualityPolicy/creatCarInfo",
				"style" : 
				{
					"navigationBarTitleText" : "创建质保单",
					"enablePullDownRefresh" : false,
					"navigationStyle":"custom"
				}
			},
			{
				"path" : "qualityPolicy/creatCustomInfo",
				"style" : 
				{
					"navigationBarTitleText" : "创建质保单",
					"enablePullDownRefresh" : false,
					"navigationStyle":"custom"
				}
			},
			{
				"path" : "qualityPolicy/resultOrder",
				"style" : 
				{
					"navigationBarTitleText" : "质保单详情",
					"enablePullDownRefresh" : false
				}
			},
			{
				"path" : "qualityPolicy/orderDetail",
				"style" : 
				{
					"navigationBarTitleText" : "质保单详情",
					"enablePullDownRefresh" : false
				}
			}
        ]
	},
	{
		"root": "pagesB",
		"pages":[
		{
            "path" : "stockQuery/stockQuery",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "库存查询",
                "enablePullDownRefresh": false
            }
            
        },{
            "path" : "redPacket",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "红包奖励",
                "enablePullDownRefresh": false
            }
        },
		{
		    "path" : "videos/index",
		    "style" :                                                                                    
			{
				"navigationBarTitleText": "视频讲解",
				"enablePullDownRefresh": false
			}
		},{
		    "path" : "videos/detail",
		    "style" :                                                                                    
			{
				"navigationBarTitleText": "视频内容",
				"enablePullDownRefresh": false
			}
		},
		{
			"path" : "promoProduct",
			"style" : 
			{
				"navigationBarTitleText" : "促销产品列表",
				"navigationStyle": "custom",
				"disableScroll": true,
				"app-plus":{
					"bounce":"none"
				},
				"renderer":"skyline",
				"componentFramework": "glass-easel"
			}
		},
		{
			"path" : "coupon",
			"style" : 
			{
				"navigationBarTitleText" : "优惠券"
			}
		},
		{
			"path" : "procureOrder/creatOrder",
			"style" : 
			{
				"navigationBarTitleText" : "确定采购订单",
				"navigationStyle": "custom",
				"disableScroll": true,
				"app-plus":{
					"bounce":"none"
				},
				"renderer":"skyline",
				"componentFramework": "glass-easel"
			}
		},
		{
			"path" : "procureOrder/orderDetail",
			"style" : 
			{
				"navigationBarTitleText" : "采购订单"
			}
		},
		{
			"path" : "procureOrder/orderList",
			"style" : 
			{
				"navigationBarTitleText" : "采购订单"
			}
		},
		{
			"path" : "shopiing/searchProduct",
			"style" : 
			{
				"navigationBarTitleText" : "商品搜索",
				"navigationStyle": "custom",
				"disableScroll": true,
				"renderer":"skyline",
				"componentFramework": "glass-easel"
			}
		},
		{
			"path" : "shopiing/shopProduct",
			"style" : 
			{
				"navigationBarTitleText" : "商城商品",
				"navigationStyle": "custom",
				"disableScroll": true,
				"renderer":"skyline",
				"componentFramework": "glass-easel"
			}
		},
		{
			"path" : "shopiing/productDetail",
			"style" : 
			{
				"navigationBarTitleText" : "商品详情",
				"navigationStyle": "custom"
			}
		},
        {
        	"path" : "cart/index",
        	"style" : 
        	{
        		"navigationBarTitleText" : "购物车",
				"navigationStyle": "custom",
				"disableScroll": true,
				"app-plus":{
					"bounce":"none"
				},
				"renderer":"skyline",
				"componentFramework": "glass-easel"
        	}
        },
        {
        	"path" : "shopShow/shopShow",
        	"style" : 
        	{
        		"navigationBarTitleText" : "商城显示设置"
        	}
        }
		]
	}
	],
	"preloadRule": {
		"pages/index/index": {
			"network": "all",
			"packages": ["pagesA","pagesB"]
		}
	},
	"globalStyle": {
		"navigationBarTextStyle": "black",
		"navigationBarTitleText": "uni-app",
		"navigationBarBackgroundColor": "#ffffff",
		"backgroundColor": "#F8F8F8"
	},
	"tabBar": {
		"color": "#7A7E83",
		"selectedColor": "#191919",
		"backgroundColor": "#ffffff",
		"fontSize": "14px",
		"list": [{
				"pagePath": "pages/index/index"
			},
			{
				"pagePath": "pages/promo/index"
			},
			{
				"pagePath": "pages/videos/index"
			},
			{
				"pagePath": "pages/morePage/morePage"
			}
		]
	}
}
